Subject: bug#9904: 24.0.90; Crash in show_mouse_face

From: Eli Zaretskii <[email-masked]>
Date: Sat, 29 Oct 2011 16:09:34 +0200

> From: Johan Bockgård <[email-masked]>
> Date: Sat, 29 Oct 2011 15:44:32 +0200
> 
> 
> Emacs segfaulted in show_mouse_face last week (revno 106154, I
> think). I have a core file.

What is this, an epidemic?

FWIW, I cannot find any change during the last 2 weeks that could
somehow be related.

> hlinfo->mouse_face_window is non-nil but contains garbage.

We could add a WINDOWP test where we currently use !NILP, before the
call to show_mouse_face in clear_mouse_face, but that would be a
band-aid.  Where could this garbled "window" come from? some GC or
memory-allocation snafu?